=== debian/changelog ===
dtk6core (6.0.18) unstable; urgency=medium

  * sync: from linuxdeepin/dtkcore

 -- Deepin Packages Builder <packages@deepin.org>  Mon, 08 Jul 2024 02:36:19 +0000

dtk6core (6.0.17) unstable; urgency=medium

  * sync: from linuxdeepin/dtkcore
  * sync: from linuxdeepin/dtkcore
  * sync: from linuxdeepin/dtkcore
  * sync: from linuxdeepin/dtkcore
  * fix: add missing dependency for libdtk6core-dev
    Thanks to zty199
  * sync: from linuxdeepin/dtkcore

 -- Deepin Packages Builder <packages@deepin.org>  Mon, 24 Jun 2024 05:35:03 +0000

dtk6core (6.0.16) unstable; urgency=medium

  * 6.0.16

 -- Mike Chen <chenke@deepin.org>  Mon, 13 May 2024 13:25:22 +0800

dtk6core (6.0.15) unstable; urgency=medium

  * 6.0.15

 -- YeShanShan <yeshanshan@deepin.org>  Mon, 29 Apr 2024 16:15:44 +0800

dtk6core (6.0.14) unstable; urgency=medium

  * 6.0.14

 -- YeShanShan <yeshanshan@deepin.org>  Sun, 28 Apr 2024 13:25:44 +0800

dtk6core (6.0.13) unstable; urgency=medium

  * 6.0.13

 -- YeShanShan <yeshanshan@deepin.org>  Fri, 26 Apr 2024 15:15:19 +0800

dtk6core (6.0.12) unstable; urgency=medium

  * 6.0.12

 -- YeShanShan <yeshanshan@deepin.org>  Tue, 23 Apr 2024 11:35:19 +0800

dtk6core (6.0.11) unstable; urgency=medium

  * 6.0.11

 -- Mike Chen <chenke@deepin.org>  Wed, 17 Apr 2024 17:25:11 +0800

dtk6core (6.0.10) unstable; urgency=medium

  * 6.0.10 

 -- YeShanShan <yeshanshan@deepin.org>  Thu, 11 Apr 2024 11:17:18 +0800

dtk6core (6.0.9) unstable; urgency=medium

  * 6.0.9

 -- YeShanShan <yeshanshan@deepin.org>  Fri, 29 Mar 2024 18:02:18 +0800

dtk6core (6.0.8) unstable; urgency=medium

  * 6.0.8

 -- Wang Fei <wangfei@deepin.org>  Tue, 05 Mar 2024 16:06:17 +0800

dtk6core (6.0.4) unstable; urgency=medium

  * 6.0.4

 -- wangfei <wangfei@deepin.org>  Wed, 10 Jan 2024 14:59:17 +0800

dtk6core (6.0.3) unstable; urgency=medium

  * 6.0.3

 -- Mike Chen <chenke@deepin.org>  Tue, 02 Jan 2024 16:19:12 +0800

dtk6core (6.0.2) unstable; urgency=medium

  * release 6.0.2

 -- Yixue Wang <wangyixue@deepin.org>  Wed, 29 Nov 2023 15:26:06 +0800

dtk6core (6.0.1) unstable; urgency=medium

  * Release 6.0.1

 -- Yixue Wang <wangyixue@deepin.org>  Mon, 30 Oct 2023 10:13:08 +0800

dtk6core (6.0.0) unstable; urgency=medium

  * Release 6.0.0

 -- Deepin Packages Builder <packages@deepin.org>  Mon, 18 Sep 2023 10:31:14 +0800

dtkcore (5.6.17) unstable; urgency=medium

  * Release 5.6.17

 -- Deepin Packages Builder <packages@deepin.org>  Fri, 08 Sep 2023 15:12:36 +0800

dtkcore (5.6.16) unstable; urgency=medium

  * fix: FileAppender log level not set
  * chore: ut linked dtkcore instead of source code
  * chore: tweak CMakeLists
  * chore: support Qt 6.4 build
  * chore: qch docs tweak
  * chore: add DtkBuildHelper depends
  * chore: console with color at tty
  * fix: missing dependency qttools5-dev
  * feat: add synchronization workflow

 -- Deepin Packages Builder <packages@deepin.org>  Tue, 22 Aug 2023 06:13:45 +0000

dtkcore (5.6.15) unstable; urgency=medium

  * chore: dlog example tweak

 -- Yixue Wang <wangyixue@deepin.org>  Fri, 11 Aug 2023 13:42:20 +0800

dtkcore (5.6.14) unstable; urgency=medium

  * chore: function need to be marked as override
  * chore: ignore doxygen-theme folder
    Thanks to Skye-rs
  * chore: change OUTPUT_DIR variable in cmake
  * chore: remove unused pro files
  * refactor!: deprecate some interfaces in dtk6
  * fix: updateProp cannot convert to property type
  * fix: typo in xdg
  * chore: reduce compilation warnings
    Thanks to SPUER(Issue: #96)
  * chore(dcapmanager): RuntimeTime -> RuntimeDir
  * chore: Sync by https://github.com/linuxdeepin/.github/commit/559e91167d4919644f37bbcf123eb0651c1528ea(Influence: none)
  * chore: make test-recoverage.sh runable again
  * chore: add ut for DDbusSender
  * feat: add systembus send support
  * fix: internalPropSet nerver emit propertyChanged
  * chore: should include QVector headers
  * chore: dsysinfo tweak
  * chore: add some unit test

 -- Deepin Packages Builder <packages@deepin.org>  Thu, 27 Jul 2023 06:56:33 +0000

dtkcore (5.6.13) unstable; urgency=medium

  * feat: DConfig add check for no existed item when override
  * fix(cmake): wrong use of option and wrong macro
  * fix: calling delay in DDBusSender(Issue: https://github.com/linuxdeepin/developer-center/issues/4415)
  * feat: DConfig add check for subpath(Issue: #54)
  * feat: DConfig exports metadir's implementation(Issue: #10)
  * fix(dccinterface): fix cannot get the right type
  * fix: DConfig's `subpathIsValid` produces error
  * fix(ut): failed ut
  * fix(build): build faild on Qt6
  * fix: fix build failed due to gcc compiler bug
  * fix: ut_dfilewater failed on Qt6
  * fix: DTextEncoding ut failed in Qt6.
  * fix: fix DTextEncoding warnings.
  * feat: support dtk6core build
  * feat: add DThreadUtils class
  * fix: move Qt CorePrivate to target private link
  * fix: qdbusxml2cpp-fix not in path
  * chore: remove ddbusinterface property cache
  * chore: remove libdtkcommon depends

 -- Deepin Packages Builder <packages@deepin.org>  Sun, 25 Jun 2023 14:40:49 +0800

dtkcore (5.6.12) unstable; urgency=medium

  * Release 5.6.12
  * add DLicenseInfo
  * cached memoryInstalledSize
  * FIX developer-center#4348

 -- Deepin Packages Builder <packages@deepin.com>  Mon, 15 May 2023 11:18:15 +0800

dtkcore (5.6.11) unstable; urgency=medium

  * Release 5.6.11
  * add color to ConsoleAppender
  * remove build warning

 -- Deepin Packages Builder <packages@deepin.com>  Mon, 08 May 2023 11:48:45 +0800

dtkcore (5.6.10) unstable; urgency=medium

  * Release 5.6.10
  * support XDG_SESSION_DESKTOP set to DDE

 -- Deepin Packages Builder <packages@deepin.com>  Mon, 17 Apr 2023 17:08:28 +0800

dtkcore (5.6.9) unstable; urgency=medium

  * Release 5.6.9

 -- Deepin Packages Builder <packages@deepin.com>  Mon, 03 Apr 2023 09:48:07 +0800

dtkcore (5.6.8) unstable; urgency=medium

  * Release 5.6.8

 -- Deepin Packages Builder <packages@deepin.com>  Wed, 22 Feb 2023 14:09:56 +0800


