## dtk6core 6.0.31

=== debian/changelog ===
dtk6core (6.0.31-1) unstable; urgency=medium

  * Initial release (Qt6). (Closes: #1099436)
    + Forked from dtkcore project.

 -- Boyuan Yang <byang@debian.org>  Mon, 03 Mar 2025 11:15:44 -0500

dtkcore (5.7.11-2) unstable; urgency=medium

  * debian/control: Add explicit build-dep libdtklog-dev.

 -- Boyuan Yang <byang@debian.org>  Sun, 02 Mar 2025 22:16:17 -0500

dtkcore (5.7.11-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Sun, 02 Mar 2025 13:28:20 -0500

dtkcore (5.7.9-1) unstable; urgency=medium

  * Upload to unstable.

 -- Boyuan Yang <byang@debian.org>  Tue, 11 Feb 2025 15:11:16 -0500

dtkcore (5.7.9-1~exp2) experimental; urgency=medium

  * debian/control: Let libdtkcore-dev Breaks+Replaces:
    libdtkcommon-dev (<< 5.7.5). (Closes: #1095715)

 -- Boyuan Yang <byang@debian.org>  Tue, 11 Feb 2025 11:50:59 -0500

dtkcore (5.7.9-1~exp1) experimental; urgency=medium

  * New upstream release 5.7.9.
  * debian/libdtkcore5.shlibs: Require library version (>= 5.7).
  * debian/control: Require dtkcommon (>= 5.7.9) for dtklog.
  * Upload to experimental.
  * debian/patches: Dropped, not needed.
  * debian/rules: Enable -DBUILD_WITY_SYSTEMD.
  * debian/libdtkcore5-bin.install: Updated.

 -- Boyuan Yang <byang@debian.org>  Mon, 10 Feb 2025 19:36:21 -0500

dtkcore (5.6.2.2-1) unstable; urgency=medium

  * Upload to unstable.

 -- Boyuan Yang <byang@debian.org>  Wed, 04 Dec 2024 07:18:37 -0500

dtkcore (5.6.2.2-1~exp1) experimental; urgency=medium

  * New upstream release 5.6.2.2.
  * debian/rules: Adjust for CMake-based build.

 -- Boyuan Yang <byang@debian.org>  Sat, 03 Dec 2022 09:05:57 -0500

dtkcore (5.5.33-2) unstable; urgency=medium

  * debian/patches: Drop explicit cxx11 from tests. (Closes: #1038703)
  * debian/control:
    + Bump Standards Version to 4.6.2.
    + Update my Uploaders email to debian.org email.
  * debian/upstream/metadata: Fix Repository URL.

 -- Arun Kumar Pariyar <arun@debian.org>  Wed, 21 Jun 2023 00:09:53 +0545

dtkcore (5.5.33-1) unstable; urgency=medium

  * New upstream version 5.5.33.
  * debian/libdtkcore5.shlibs: update version to 5.5.33.
  * debian/rules: Add buildsystem=qmake.

 -- Clay Stan <claystan97@gmail.com>  Tue, 02 Aug 2022 13:14:06 +0800

dtkcore (5.5.32-1) unstable; urgency=medium

  * New upstream version.

 -- Boyuan Yang <byang@debian.org>  Wed, 15 Jun 2022 13:26:45 -0400

dtkcore (5.5.31-1) unstable; urgency=medium

  * New upstream version.
  * debian/libdtkcore5.shlibs: update version to 5.5.31.

 -- Boyuan Yang <byang@debian.org>  Tue, 24 May 2022 23:35:19 -0400

dtkcore (5.5.30-1) unstable; urgency=medium

  * New upstream version.
  * debian/libdtkcore5.shlibs: update version to 5.5.30.

 -- Boyuan Yang <byang@debian.org>  Tue, 12 Apr 2022 16:10:36 -0400

dtkcore (5.5.23-1) unstable; urgency=medium

  * New upstream version 5.5.23.
  * debian/copyright: updated.
  * debian/libdtkcore5.shlibs: update version to 5.5.23.

 -- Clay Stan <claystan97@gmail.com>  Mon, 21 Feb 2022 15:21:41 +0800

dtkcore (5.5.17.1-1) unstable; urgency=medium

  * Upload to unstable.
  * Bump Standards-Version to 4.6.0.

 -- Boyuan Yang <byang@debian.org>  Tue, 09 Nov 2021 13:33:41 -0500

dtkcore (5.5.17.1-1~exp1) experimental; urgency=medium

  [ Clay Stan ]
  * New upstream version 5.5.17.1.
  * add qdbusxml2cpp manpage.

  [ Boyuan Yang ]
  * Upload new version to experimental. (Closes: #993174)
  * Tighten library version requirement using
    debian/libdtkcore5.shlibs.
  * debian/upstream/metadata: Fix field names.
  * debian/control: Drop ${shlibs:Depends} from libdtkcore-dev
    dependency field, useless.

 -- Boyuan Yang <byang@debian.org>  Sun, 07 Nov 2021 08:25:42 -0500

dtkcore (5.4.13-1) unstable; urgency=medium

  * New upstream version 5.4.13.

 -- Clay Stan <claystan97@gmail.com>  Sun, 25 Apr 2021 17:02:11 +0800

dtkcore (5.4.0-1~exp1) experimental; urgency=medium

  [ Clay Stan ]
  * New upstream release 5.4.0.
  * debian/control: Add Clay Stan to Uploaders list.

  [ Hu Feng ]
  * debian/control:
    + Remove Build-Depends qtbase5-dev
    + Add Hu Feng to Uploaders list.
  * debian/patches:
    + Add 0001-fix-access-null-pointer.patch
  * debian/libdtkcore5.symbols
    + Update symbols

 -- Hu Feng <hufeng@uniontech.com>  Wed, 03 Mar 2021 09:53:46 +0800

dtkcore (5.2.2.5-2) unstable; urgency=medium

  * debian/libdtkcore5.symbols:
    + Update symbols for other archs.

 -- Arun Kumar Pariyar <openarungeek@gmail.com>  Mon, 21 Dec 2020 15:05:28 +0545

dtkcore (5.2.2.5-1) unstable; urgency=medium

  [ Dmitry Shachnev ]
  * debian/libdtkcore5.symbols:
    + Add support for 32-bit architectures.

  [ Arun Kumar Pariyar ]
  * Upload to unstable.
  * debian/control:
    + Bump Standards-Version to 4.5.1.
    + Add pkg-kde-tools to build dependency.
    + Set Replaces+Breaks with libdtkwidget-dev (<< 5.2.2.10-1).
  * Add symbols file for libdtkcore5.
  * debian/copyright: Update license information.
  * debian/rules: Cleanup and ensure proper build.

 -- Arun Kumar Pariyar <openarungeek@gmail.com>  Sun, 20 Dec 2020 23:27:37 +0545

dtkcore (5.2.2.5-1~exp1) experimental; urgency=medium

  [ Tu Qinggang ]
  * New upstream release 5.2.2.5.
  * debian/control: Add Tu Qinggang to Uploaders list.

  [ Arun Kumar Pariyar ]
  * debian/patches: Drop all patches.
  * debian/copyright:
    + Add GPL-3+ license for src/util/dthreadutils.* .
    + Update copyright information.

 -- Arun Kumar Pariyar <openarungeek@gmail.com>  Thu, 03 Sep 2020 05:56:38 +0000

dtkcore (5.2.2.1-1~exp1) experimental; urgency=medium

  * New upstream release 5.2.2.1.

 -- Arun Kumar Pariyar <openarungeek@gmail.com>  Sun, 12 Jul 2020 13:01:11 +0545

dtkcore (5.2.1-1~exp1) experimental; urgency=medium

  * new upstream release 5.2.1.
  * debian/control: Let libdtkcore5-bin provides dtkcore-bin.

 -- Boyuan Yang <byang@debian.org>  Wed, 10 Jun 2020 10:00:53 -0400

dtkcore (5.2.0-1~exp1) experimental; urgency=medium


