=== debian/watch ===
Version: 5

Source: https://github.com/linuxdeepin/dtk6core/tags
Matching-Pattern: (?:.*?/)?(\d[\d.]*)\.tar\.gz
Filenamemangle: s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%dtk6core-$1.tar.gz%
