=== tests/CMakeLists.txt ===
--- 
+++ 
@@ -20,9 +20,6 @@
     find_package(PkgConfig REQUIRED)
     if("${QT_VERSION_MAJOR}" STREQUAL "5")
         pkg_check_modules(QGSettings REQUIRED IMPORTED_TARGET gsettings-qt)
-    endif()
-    if(BUILD_WITH_SYSTEMD)
-        pkg_check_modules(Systemd REQUIRED IMPORTED_TARGET libsystemd)
     endif()
 endif()
 
@@ -88,13 +85,6 @@
           )
     endif()
 
-    if(BUILD_WITH_SYSTEMD)
-        target_link_libraries(
-            ${BIN_NAME} PRIVATE
-            PkgConfig::Systemd
-        )
-    endif()
-
     target_link_libraries(
         ${BIN_NAME} PRIVATE
         Qt${QT_VERSION_MAJOR}::DBus
