=== debian/changelog ===
dtk6core (6.0.34) unstable; urgency=medium

  * sync: from linuxdeepin/dtkcore

 -- YeShanShan <yeshanshan@uniontech.com>  Thu, 17 Apr 2025 21:57:06 +0800

dtk6core (6.0.33) unstable; urgency=medium

  * sync: from linuxdeepin/dtkcore
  * sync: from linuxdeepin/dtkcore

 -- YeShanShan <yeshanshan@uniontech.com>  Thu, 20 Mar 2025 17:19:28 +0800

dtk6core (6.0.32) unstable; urgency=medium

  * sync: from linuxdeepin/dtkcore
  * sync: from linuxdeepin/dtkcore

 -- YeShanShan <yeshanshan@uniontech.com>  Thu, 06 Mar 2025 17:37:40 +0800

dtk6core (6.0.31) unstable; urgency=medium

  * sync: from linuxdeepin/dtkcore
  * sync: from linuxdeepin/dtkcore

 -- YeShanShan <yeshanshan@uniontech.com>  Thu, 27 Feb 2025 20:56:31 +0800

dtk6core (6.0.30) unstable; urgency=medium

  * Release 6.0.30

 -- YeShanShan <yeshanshan@uniontech.com>  Thu, 13 Feb 2025 17:13:57 +0800

dtk6core (6.0.29) unstable; urgency=medium

  * 6.0.29

 -- YeShanShan <yeshanshan@deepin.org>  Thu, 23 Jan 2025 17:07:20 +0800

dtk6core (6.0.28) unstable; urgency=medium

  * 6.0.28

 -- YeShanShan <yeshanshan@deepin.org>  Tue, 14 Jan 2025 19:17:45 +0800

dtk6core (6.0.27) unstable; urgency=medium

  * 6.0.27

 -- YeShanShan <yeshanshan@deepin.org>  Thu, 09 Jan 2025 19:16:35 +0800

dtk6core (6.0.26) unstable; urgency=medium

  * 6.0.26

 -- YeShanShan <yeshanshan@deepin.org>  Thu, 02 Jan 2025 15:12:31 +0800
