=== debian/control ===
Source: dtk6core
Section: libdevel
Priority: optional
Maintainer: Deepin Packages Builder <packages@deepin.org>
Build-Depends:
 debhelper-compat (= 12),
 pkg-config,
 qt6-tools-dev,
 qt6-base-private-dev,
 doxygen,
 libgtest-dev,
 cmake,
 libuchardet-dev,
 libicu-dev,
 libdtkcommon-dev (>= 5.6.4),
 libdtk6log-dev
Standards-Version: 3.9.8

Package: libdtk6core
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, lshw
Multi-Arch: same
Description: Deepin Tool Kit Core library
 DtkCore is base library of Deepin Qt/C++ applications.
 .
 This package contains the shared libraries.

Package: libdtk6core-bin
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libdtk6core (= ${binary:Version})
Description: Deepin Tool Kit Core Utilities
 DtkCore is base devel library of Deepin Qt/C++ applications.
 .
 This package contains the utilities of DtkCore

Package: libdtk6core-dev
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libdtk6core (= ${binary:Version}), libdtkcommon-dev (>= 5.6.16), libdtk6log-dev
Description: Deepin Tool Kit Core Devel library
 DtkCore is base devel library of Deepin Qt/C++ applications.
 .
 This package contains the header files and static libraries of DtkCore

Package: libdtk6core-doc
Architecture: any
Build-Profiles: <!nodoc>
Description: Deepin Tool Kit Core (document)
 DtkCore is base devel library of Deepin Qt/C++ applications.
 .
 This package contains the doc files of DtkCore
