## dtk6core 6.0.35

=== debian/changelog ===
dtk6core (6.0.35-1) unstable; urgency=medium

  * New upstream release.
  * debian/control: Bump Standards-Version to 4.7.3.

 -- Boyuan Yang <byang@debian.org>  Tue, 10 Feb 2026 20:11:56 -0500
