## dtk6core 6.0.36

=== debian/changelog ===
dtk6core (6.0.36) unstable; urgency=medium

  * sync: from linuxdeepin/dtkcore

 -- YeShanShan <yeshanshan@uniontech.com>  Mon, 19 May 2025 17:23:22 +0800

dtk6core (6.0.35) unstable; urgency=medium

  * sync: from linuxdeepin/dtkcore
  * sync: from linuxdeepin/dtkcore

 -- YeShanShan <yeshanshan@uniontech.com>  Thu, 08 May 2025 18:50:11 +0800
