## dtk6core 6.0.39.1

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -8,6 +8,7 @@
 
 find_package(Qt${QT_VERSION_MAJOR} REQUIRED COMPONENTS Core)
 find_package(Dtk${DTK_VERSION_MAJOR}Log REQUIRED)
+find_package(DBus1 REQUIRED)
 if(LINUX)
   find_package(PkgConfig REQUIRED)
   find_package(Qt${QT_VERSION_MAJOR} REQUIRED COMPONENTS DBus)
@@ -67,9 +68,7 @@
     Dtk${DTK_VERSION_MAJOR}::Log
   )
   target_link_libraries(${LIB_NAME} PRIVATE
-    ICU::uc
     Qt${QT_VERSION_MAJOR}::CorePrivate
-    uchardet
   )
   if("${QT_VERSION_MAJOR}" STREQUAL "5")
     target_link_libraries(${LIB_NAME} PRIVATE
@@ -93,9 +92,7 @@
     Qt${QT_VERSION_MAJOR}::Xml
   )
   target_link_libraries(${LIB_NAME} PRIVATE
-    ICU::uc
     Qt${QT_VERSION_MAJOR}::CorePrivate
-    uchardet
   )
   if("${QT_VERSION_MAJOR}" STREQUAL "5")
     target_link_libraries(${LIB_NAME} PRIVATE
@@ -118,6 +115,9 @@
     LIBDTKCORE_LIBRARY
 )
 
+target_link_libraries(${LIB_NAME} PRIVATE
+  dbus-1
+)
 target_include_directories(${LIB_NAME} PRIVATE
   ${uchardet_INCLUDE_DIRS}
 )
