=== debian/changelog ===
dtk6core (6.0.39.1) unstable; urgency=medium

  * Release 6.0.39

 --  yeshanshan <yeshanshan@uniontech.com>  Thu, 03 Jul 2025 21:11:42 +0800
