=== debian/changelog ===
dtk6core (6.0.40-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Sat, 14 Feb 2026 11:23:02 -0500
