## dtk6core 6.0.48

=== debian/changelog ===
dtk6core (6.0.48-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Sat, 14 Feb 2026 11:51:20 -0500

dtk6core (6.0.44-1) unstable; urgency=medium

  * New upstream release.
    + Compatible with Qt 6.10. (Closes: #1127892)
  * debian/rules: Drop explicitly setting of DTK_VERSION.

 -- Boyuan Yang <byang@debian.org>  Sat, 14 Feb 2026 11:43:18 -0500
