## dtk6core 6.0.50

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -12,10 +12,16 @@
 if(LINUX)
   find_package(PkgConfig REQUIRED)
   find_package(Qt${QT_VERSION_MAJOR} REQUIRED COMPONENTS DBus)
-  if("${QT_VERSION_MAJOR}" STREQUAL "5")
+
+  if(${QT_VERSION_MAJOR} EQUAL 5)
       pkg_check_modules(QGSettings REQUIRED IMPORTED_TARGET gsettings-qt) #Dtk6 removed.
+  elseif(${QT_VERSION_MAJOR} EQUAL 6)
+      if(${Qt6Core_VERSION} VERSION_GREATER_EQUAL 6.10.0)
+          find_package(Qt${QT_VERSION_MAJOR} REQUIRED COMPONENTS CorePrivate)
+      endif()
+  else()
+      message(FATAL_ERROR "Unsupported Qt version: ${QT_VERSION_MAJOR}")
   endif()
-
 endif()
 find_package(Qt${QT_VERSION_MAJOR} REQUIRED COMPONENTS Xml)
 find_package(DtkBuildHelper REQUIRED)
@@ -138,6 +144,7 @@
   $<BUILD_INTERFACE:${PROJECT_SOURCE_DIR}/include/settings>
   $<BUILD_INTERFACE:${PROJECT_SOURCE_DIR}/include/filesystem>
   $<BUILD_INTERFACE:${PROJECT_SOURCE_DIR}/include>
+  $<BUILD_INTERFACE:${PROJECT_BINARY_DIR}>
 )
 
 target_include_directories(${LIB_NAME} INTERFACE
