=== tools/deepin-os-release/CMakeLists.txt ===
--- 
+++ 
@@ -31,11 +31,12 @@
   Qt${QT_VERSION_MAJOR}::CorePrivate
 )
 target_include_directories(${BIN_NAME} PUBLIC
-  ../../include/
-  ../../include/dci/
-  ../../include/DtkCore/
-  ../../include/base/
-  ../../include/global/
+    $<BUILD_INTERFACE:${PROJECT_SOURCE_DIR}/include>
+    $<BUILD_INTERFACE:${PROJECT_SOURCE_DIR}/include/dci>
+    $<BUILD_INTERFACE:${PROJECT_SOURCE_DIR}/include/DtkCore>
+    $<BUILD_INTERFACE:${PROJECT_SOURCE_DIR}/include/base>
+    $<BUILD_INTERFACE:${PROJECT_SOURCE_DIR}/include/global>
+    $<BUILD_INTERFACE:${PROJECT_BINARY_DIR}>
 )
 set_target_properties(${BIN_NAME} PROPERTIES OUTPUT_NAME ${TARGET_NAME})
 install(TARGETS ${BIN_NAME} DESTINATION "${TOOL_INSTALL_DIR}")
