=== debian/changelog ===
dtk6core (6.0.50-1) unstable; urgency=medium

  * New upstream release. (Closes: #1127892)
  * debian/patches/ae08901f8d6aab6d09d79a441f02e04e4581806c.patch:
    Add patch from upstream dtkcore project to fix compatibility with
    Qt 6.9+.

 -- Boyuan Yang <byang@debian.org>  Sat, 14 Feb 2026 12:45:39 -0500
