=== debian/control ===
Source: dtk6core
Section: libs
Maintainer: Debian Deepin Packaging Team <pkg-deepin-devel@lists.alioth.debian.org>
Uploaders:
 Boyuan Yang <byang@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-pkgkde-symbolshelper,
 cmake,
 doxygen <!nodoc>,
 libchardet-dev,
 libdbus-1-dev,
 libdtk6log-dev,
 libdtkcommon-dev (>= 5.7.11),
 libgsettings-qt6-dev,
 libgtest-dev,
 libicu-dev,
 libuchardet-dev,
 pkgconf,
 qt6-base-private-dev,
 qt6-tools-dev,
Standards-Version: 4.7.3
Homepage: https://github.com/linuxdeepin/dtk6core
Vcs-Git: https://salsa.debian.org/pkg-deepin-team/dtk6core.git
Vcs-Browser: https://salsa.debian.org/pkg-deepin-team/dtk6core
Description: Deepin Qt6 Tool Kit Core library
 Dtk6Core is a base library for Deepin Qt6/C++ applications.
 .
 This package is part of DDE (Deepin Desktop Environment).

Package: libdtk6core-dev
Architecture: any
Section: libdevel
Multi-Arch: same
Depends:
 libdtk6core6 (= ${binary:Version}),
 libdtkcommon-dev (>= 5.7.6),
 ${misc:Depends},
Description: ${source:Synopsis} (development files)
 ${source:Extended-Description}
 .
 This package contains the header files and static libraries of Dtk6Core.

Package: libdtk6core-bin
Architecture: any
Section: utils
Depends:
 libdtk6core6 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Description: ${source:Synopsis} (utilities)
 ${source:Extended-Description}
 .
 This package contains various command-line utilities used by Deepin Tool Kit
 and other Deepin software. Some tools were originally provided by DtkSettings.

Package: libdtk6core6
Architecture: any
Multi-Arch: same
Depends:
 libdtkcommon,
 lshw,
 ${misc:Depends},
 ${shlibs:Depends},
Breaks:
 libdtk6core,
Replaces:
 libdtk6core,
Provides:
 libdtk6core,
Description: ${source:Synopsis}
 ${source:Extended-Description}
 .
 This package contains the shared libraries.
